<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">


    <ui:define name="contentPart">
        
        <div align="left">
            <p:outputLabel value="SIGEVI" style="font-size: 150%; margin-bottom: 150px; "/>
            
            <hr />
        </div>
        
        <div id="buscar" align="center" style="margin-top: 20px;" >

            <h:form >
                <p:outputLabel value="Ejercicio" for="ejercicio" style="margin-right: 7px;"/>
                <p:selectOneMenu id="ejercicio" 
                                 class="ejercicio"
                                 required="true"
                                 requiredMessage="se debe seleccionar un ejercicio"
                                 value="#{rhNomnSIGEVIMB.idEjercicio}"
                                 style="min-width: 200px !important; ">
                    <p:ajax   event="change"
                              listener="#{rhNomnSIGEVIMB.obtenerLstSIGEVI}"
                              process="@(.ejercicio)"
                              update="@(.idSigevi)"
                              />
                    <f:selectItem itemLabel="Seleccionar ejercicio"
                                  noSelectionOption="true" />
                    <f:selectItems value="#{rhNomnSIGEVIMB.ejercicios}"
                                   var="ejercicio"
                                   itemLabel="#{ejercicio.valor}"
                                   itemValue="#{ejercicio.idEjercicio}"
                                   />
                </p:selectOneMenu>
                

            </h:form>
        </div>
        
        <div id="datos" align="center">
            <h:form>
                <p:dataTable id="idSigevi" var="reg" 
                             value="#{rhNomnSIGEVIMB.lstSIGEVI}"                              
                             class="nominas"
                             paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                             emptyMessage="No hay Registros"
                             paginator="true" 
                             rows="15"
                             style="font-size: x-small"
                             tableStyle="width:80%"
                             >
                    
                    <f:facet name="header">
                        REGISTROS

                        <p:commandButton id="btnAgregar" 
                                         styleClass="botonpequeno"
                                         action="#{rhNomnSIGEVIMB.generarArchivo}"
                                         title="Generar archivo SIGEVI"
                                         icon="ui-icon-plusthick"
                                         style="display:inline; float:right; font-size:x-small;" />

                    </f:facet>
                 
                    
                    <p:column headerText="QUINCENA" style="width: 20%; text-align: center">
                        <h:outputText value="#{reg.strEjercicio} - #{reg.strQuincena}" />
                    </p:column>
                    <p:column headerText="NOMBRE ARCHIVO" style="width: 20%; text-align: center">
                        <h:outputText value="#{reg.strNomnbre}" />
                    </p:column>
                    
                    <p:column headerText="ACCIONES" style="width: 20%; text-align: center">
                            <p:commandButton 
                                value="Descargar Archivo" 
                                title="Descargar Archivo con los movimientos en esta quincena"
                                style="margin-right:30px;"
                                styleClass="commandButton"
                                action="#{rhNomnSIGEVIMB.descargaCambiosSigevi(reg.intIdRegistro)}"
                                immediate="true"  
                                process="@this"  
                                update="@(form) @(.quincenas) @(.idTblSIGEVIView) "
                                >
                            </p:commandButton>  
                    
                            <p:commandButton 
                                value="Actualizar" 
                                title="Actualiza los campos faltantes."
                                style="margin-right:30px;"
                                styleClass="commandButton"
                                action="#{rhNomnSIGEVIMB.leerArchivo(reg.intIdRegistro)}"
                                immediate="true"  
                                process="@this"  
                                update="@(form) @(.quincenas) @(.idTblSIGEVIView) "
                                >
                            </p:commandButton>  
                    </p:column>
                    
                </p:dataTable>
                
    <!-- XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
                
                 <h:commandLink  id="excel1" style="text-align: right;visibility: hidden " title="Descarga de registros en archivo XLS">
                    <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                    <p:dataExporter type="xls" target="idTblSIGEVIView" fileName="SIGEVI" />
                </h:commandLink>
            
                <p:dataTable  
                     
                    id="idTblSIGEVIView" 
                    var="var" 
                    paginator="true" 
                    onExpandStart="inicio()" 
                    style="visibility: hidden"
                    value  = "#{rhNomnSIGEVIMB.lstSigeviDet}"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                    {PageLinks} {NextPageLink} {LastPageLink}"
                    scrollable="true" scrollWidth="200%"
                    currentPageReportTemplate="#{msg['inai.medios.common.registroText']} 
                    {startRecord}-{endRecord}  #{msg['inai.medios.common.deText']} 
                    {totalRecords}             #{msg['inai.medios.common.disponiblesText']}"
                    paginatorPosition="bottom" rows="20"
                    emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                    >               
              

                    <f:facet name="header">
                            <h:outputText styleClass="header-table" value="Registros Encontrados" />

                          
                    </f:facet>
                 
                     
                     <p:column 
                        headerText="No. Empleado" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNumEmpl}" />
                    </p:column>
                     
                     <p:column 
                        headerText="RFC" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strRFC}" />
                    </p:column>
                     
                     <p:column 
                        headerText="Nombre" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNombre}" />
                    </p:column>
                     
                     <p:column 


                        headerText="Unidad" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.intCveUnidAdm}" />
                    </p:column>
                     
                     
                    <p:column 
                        headerText="Puesto" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCvePsto}" />
                    </p:column>
                     
                      <p:column 
                        headerText="No. Cuenta" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strBanco}" />
                    </p:column>
                     
                     <p:column 
                        headerText="Clabe" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strNumCta}" />
                    </p:column>
                    
                     
                     
                    <p:column 
                        headerText="Nombre de Banco" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strClabe}" />
                    </p:column>
                     
                    <p:column 
                        headerText="Cuenta de dominio" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strDominio}" />
                    </p:column>
                     
                    <p:column 
                        headerText="Correo Electrónico" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCorreo}" />
                    </p:column>
                     
                    <p:column 
                        headerText="Operación" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strOperacion}" />
                    </p:column>
                
                     
                    <p:column 
                        headerText="AutorizaNacional" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strAutorNac}" />
                    </p:column>
                     
                      <p:column 
                        headerText="AutorizaGral" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strAutorGnrl}" />
                    </p:column>
                     
                     
                     <p:column 

                        headerText="Cargo" style="font-size: 70%; text-align: center">
                        <h:outputText   value="#{var.strCargo}" />
                    </p:column>
                     
                </p:dataTable>
                
                
                
            </h:form>
        </div>

    

    </ui:define>


</ui:composition>